- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannDistCntrlNeumA2 Class Reference

Class implementating Example 5. More...

`#include <MittelmannDistCntrlNeumA.hpp>`

Inheritance diagram for MittelmannDistCntrlNeumA2:

[legend]
Collaboration diagram for MittelmannDistCntrlNeumA2:

[legend]
List of all members.

## Public Member Functions
| MittelmannDistCntrlNeumA2 ()
virtual | ~MittelmannDistCntrlNeumA2 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
virtual Number | fint_cont (Number x1, Number x2, Number y, Number u) const
| Integrant in objective function.
virtual Number | fint_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydy_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dudu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
virtual bool | d_cont_dydy_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dudu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dydu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannDistCntrlNeumA2 (const MittelmannDistCntrlNeumA2 &)
MittelmannDistCntrlNeumA2 & | operator= (const MittelmannDistCntrlNeumA2 &)
## Private Attributes
const Number | pi_
| Value of pi (made available for convenience).

## Detailed Description

Class implementating Example 5.

Definition at line 394 of file MittelmannDistCntrlNeumA.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlNeumA2::MittelmannDistCntrlNeumA2 | ( |  | ) | `[inline]`

Definition at line 397 of file MittelmannDistCntrlNeumA.hpp.

virtual MittelmannDistCntrlNeumA2::~MittelmannDistCntrlNeumA2 | ( |  | ) | `[inline, virtual]`

Definition at line 402 of file MittelmannDistCntrlNeumA.hpp.

MittelmannDistCntrlNeumA2::MittelmannDistCntrlNeumA2 | ( | const MittelmannDistCntrlNeumA2 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlNeumA2::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 405 of file MittelmannDistCntrlNeumA.hpp.

References MittelmannDistCntrlNeumABase::SetBaseParameters().

virtual Number MittelmannDistCntrlNeumA2::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannDistCntrlNeumABase.

Definition at line 426 of file MittelmannDistCntrlNeumA.hpp.

References pi_.

Referenced by fint_cont(), and fint_cont_dy().

virtual Number MittelmannDistCntrlNeumA2::fint_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Integrant in objective function.

Implements MittelmannDistCntrlNeumABase.

Definition at line 431 of file MittelmannDistCntrlNeumA.hpp.

References y_d_cont().

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

y

Implements MittelmannDistCntrlNeumABase.

Definition at line 437 of file MittelmannDistCntrlNeumA.hpp.

References y_d_cont().

virtual Number MittelmannDistCntrlNeumA2::fint_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

u

Implements MittelmannDistCntrlNeumABase.

Definition at line 443 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,y

Implements MittelmannDistCntrlNeumABase.

Definition at line 448 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::fint_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 454 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

u,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 459 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::fint_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

u,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 465 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 470 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::fint_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 476 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlNeumABase.

Definition at line 481 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlNeumABase.

Definition at line 486 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlNeumABase.

Definition at line 491 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlNeumABase.

Definition at line 496 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::d_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 502 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

u,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 507 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::d_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 513 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

y,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 518 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::d_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 524 of file MittelmannDistCntrlNeumA.hpp.

MittelmannDistCntrlNeumA2& MittelmannDistCntrlNeumA2::operator= | ( | const MittelmannDistCntrlNeumA2 & |  | ) | `[private]`

## Member Data Documentation

const Number MittelmannDistCntrlNeumA2::pi_`[private]`

Value of pi (made available for convenience).

Definition at line 535 of file MittelmannDistCntrlNeumA.hpp.

Referenced by y_d_cont().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/examples/ScalableProblems/MittelmannDistCntrlNeumA.hpp